Межсайтовый скриптинг и SQL-инъекция в Drupal Easylinks

Дата публикации:
24.08.2006
Дата изменения:
17.10.2006
Всего просмотров:
2933
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-4355
CVE-2006-4356
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Drupal Easylinks Module 4.x
Уязвимые версии: Easylinks (модуль к Drupal) 4.7 до выпуска 1.5.2.1

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

2. Уязвимость существует из-за недостаточной обработки входных данных. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: drupal.org/project/easylinks

Решение: Установите последнюю версию с сайта производителя.

Ссылки: Easylinks multiple vulnerabilities

или введите имя

CAPTCHA